## grantlee-editor 20.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.15.3")
project(grantlee-editor VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION "20.08.3")
set(KF5_MIN_VERSION "5.71.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(CheckFunctionExists)
include(ECMGeneratePriFile)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "5")
set(MESSAGELIB_LIB_VERSION_LIB "5.15.3")

set(AKONADI_MIMELIB_VERSION "5.15.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.15.3")
set(KDEPIM_APPS_LIB_VERSION_LIB "5.15.3")
set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.15.3")
set(LIBKLEO_LIB_VERSION_LIB "5.15.3")
set(QT_REQUIRED_VERSION "5.13.0")
set(KIMAP_LIB_VERSION "5.15.3")
set(PIMCOMMON_LIB_VERSION_LIB "5.15.3")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)

# Find KF5 package
find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5TextEditor ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5NewStuff ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Archive ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)

# Find KdepimLibs Package
find_package(KF5KaddressbookGrantlee ${KDEPIM_APPS_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)


find_package(KF5SyntaxHighlighting ${KF5_MIN_VERSION} CONFIG REQUIRED)


include_directories(${grantlee-editor_SOURCE_DIR} ${grantlee-editor_BINARY_DIR})

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)

add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_NO_KEYWORDS)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

configure_file(grantleeeditor-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/grantleeeditor-version.h @ONLY)

add_subdirectory(headerthemeeditor)
add_subdirectory(contactthemeeditor)
add_subdirectory(grantleethemeeditor)
add_subdirectory(contactprintthemeeditor)

ecm_qt_install_logging_categories(
        EXPORT GRANTLEEEDITOR
        FILE grantleeditor.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

add_subdirectory(doc)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== contactprintthemeeditor/CMakeLists.txt ===
set(contactprintthemeeditor_SRCS
    main.cpp
    defaultcompletion.cpp
    editorpage.cpp
    contactprintthemeconfiguredialog.cpp
    themedefaulttemplate.cpp
    themeeditormainwindow.cpp
    themeeditorpage.cpp
    contactprintthemeeditorutil.cpp
    themeeditorwidget.cpp
    themetemplatewidget.cpp
    contactprintthemepreview.cpp
    )

ecm_qt_declare_logging_category(contactprintthemeeditor_SRCS HEADER contactprintthemeeditor_debug.h IDENTIFIER CONTACTPRINTTHEMEEDITOR_LOG CATEGORY_NAME org.kde.pim.contactprintthemeeditor
        DESCRIPTION "grantleeeditor (contactprintthemeeditor)"
        OLD_CATEGORY_NAMES log_contactprintthemeeditor
        EXPORT GRANTLEEEDITOR
    )
qt5_add_resources(contactprintthemeeditor_SRCS contactprintthemeeditor.qrc)

add_executable(contactprintthemeeditor ${contactprintthemeeditor_SRCS} )
target_link_libraries(contactprintthemeeditor
    Qt5::WebEngineWidgets
    KF5::DBusAddons
    KF5::NewStuff
    KF5::AkonadiContact
    KF5::PimCommon
    grantleethemeeditor
    KF5::KaddressbookGrantlee
    KF5::PimTextEdit
    KF5::I18n
    Qt5::WebEngineWidgets
    KF5::Crash
    )

install(TARGETS contactprintthemeeditor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS org.kde.contactprintthemeeditor.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== headerthemeeditor/CMakeLists.txt ===
set(headerthemeeditor_SRCS
    main.cpp
    themeeditormainwindow.cpp
    themeeditorpage.cpp
    previewwidget.cpp
    editorpage.cpp
    themetemplatewidget.cpp
    themedefaulttemplate.cpp
    defaultcompletion.cpp
    themeconfiguredialog.cpp
    themeeditorutil.cpp
    themeeditorwidget.cpp
    )

ecm_qt_declare_logging_category(headerthemeeditor_SRCS HEADER headerthemeeditor_debug.h IDENTIFIER HEADERTHEMEEDITOR_LOG CATEGORY_NAME org.kde.pim.headerthemeeditor
        DESCRIPTION "grantleeeditor (headerthemeeditor)"
        OLD_CATEGORY_NAMES log_headerthemeeditor
        EXPORT GRANTLEEEDITOR
    )

qt5_add_resources(headerthemeeditor_SRCS headerthemeeditor.qrc)

add_executable(headerthemeeditor ${headerthemeeditor_SRCS} )
target_link_libraries(headerthemeeditor
    KF5::Mime
    KF5::NewStuff
    KF5::PimCommon
    KF5::MessageViewer
    grantleethemeeditor
    KF5::DBusAddons
    KF5::GrantleeTheme
    KF5::PimTextEdit
    KF5::I18n
    KF5::XmlGui
    KF5::Crash
    )

install(TARGETS headerthemeeditor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS org.kde.headerthemeeditor.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== debian/changelog ===
grantlee-editor (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:50:48 +0100

grantlee-editor (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:09:49 +0200

grantlee-editor (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:53:23 +0200

grantlee-editor (4:20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Explicitly add the gettext build dependency.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * Unregister the old /etc/xdg/grantleeditor.categories, and
    /etc/xdg/grantleeditor.renamecategories conffiles.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 23 Aug 2020 09:24:53 +0200

grantlee-editor (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 00:01:09 +0200

grantlee-editor (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove not needed lintian-overrides.

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:24:22 +0200

grantlee-editor (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:55:50 +0100

grantlee-editor (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:42:01 +0100

grantlee-editor (4:18.08.3-3) unstable; urgency=medium

    * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:54:16 +0100

grantlee-editor (4:18.08.3-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:44:52 +0200

=== debian/control ===
Source: grantlee-editor
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
           Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               libkf5akonadimime-dev (>= 4:20.08.3~),
               libkf5archive-dev (>= 5.71.0~),
               libkf5crash-dev (>= 5.71.0~),
               libkf5dbusaddons-dev (>= 5.71.0~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5grantleetheme-dev (>= 20.08.3~),
               libkf5imap-dev (>= 20.08.3~),
               libkf5kaddressbookgrantlee-dev (>= 4:20.08.3~),
               libkf5libkleo-dev (>= 4:20.08.3~),
               libkf5messageviewer-dev (>= 4:20.08.3~),
               libkf5newstuff-dev (>= 5.71.0~),
               libkf5pimcommon-dev (>= 4:20.08.3~),
               libkf5pimtextedit-dev (>= 20.08.3~),
               libkf5syntaxhighlighting-dev (>= 5.71.0~),
               libkf5texteditor-dev (>= 5.71.0~),
               libkf5xmlgui-dev (>= 5.71.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.13.0~),
               qtwebengine5-dev (>= 5.13.0~)
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/pim/grantlee-editor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/grantlee-editor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/grantlee-editor.git
Rules-Requires-Root: no

Package: kdepim-themeeditors
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: kaddressbook, kmail
Description: Theme Editors for KDE PIM applications
 KDE PIM Theme Editors allow you to create and edit various KDE themes for
 KDE PIM software such as KMail and KAddressBook.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_install:
	dh_auto_install
	find debian/kdepim-themeeditors -name '*.so' -type l -delete

## grantlee-editor 20.12.0

=== debian/changelog ===
grantlee-editor (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update build depends.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:22:46 +0000

grantlee-editor (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:47:41 +0000

=== debian/control ===
Source: grantlee-editor
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgrantlee5-dev (>= 5.0.0~),
               libkf5akonadi-dev (>= 4:20.12.0~),
               libkf5akonadimime-dev (>= 4:20.12.0~),
               libkf5akonadiserver-dev (>= 4:20.12.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:20.12.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 20.12.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:20.12.0~),
               libkf5libkleo-dev (>= 4:20.12.0~),
               libkf5messagecomposer-dev (>= 4:20.12.0~),
               libkf5messagecore-dev (>= 4:20.12.0~),
               libkf5messagelist-dev (>= 4:20.12.0~),
               libkf5messageviewer-dev (>= 4:20.12.0~),
               libkf5mimetreeparser-dev (>= 4:20.12.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:20.12.0~),
               libkf5pimtextedit-dev (>= 20.12.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5syntaxhighlighting-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:20.12.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:20.12.0~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/grantlee-editor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/grantlee-editor

Package: kdepim-themeeditors
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kaddressbook (<< 4:15),
        kdepim-doc (<= 4:16.08.0+p16.04+git201609),
        kmail (<< 4:4.14.3),
        libkf5libkdepim5 (<= 4:16.04),
        ${kde-l10n:all},
Replaces: kaddressbook (<< 4:15),
          kdepim-doc (<= 4:16.08.0+p16.04+git201609),
          kmail (<< 4:4.14.3),
          libkf5libkdepim5 (<= 4:16.04),
          ${kde-l10n:all},
Suggests: kaddressbook, kmail
Description: Theme Editors for KDE PIM applications
 KDE PIM Theme Editors allow you to create and edit various KDE themes for
 KDE PIM software such as KMail and KAddressBook.
 .

## grantlee-editor 20.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.15.3")
+set(PIM_VERSION "5.16.1")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "20.08.3")
-set(KF5_MIN_VERSION "5.71.0")
+set(RELEASE_SERVICE_VERSION "20.12.0")
+set(KF5_MIN_VERSION "5.75.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -37,16 +37,16 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(MESSAGELIB_LIB_VERSION_LIB "5.15.3")
+set(MESSAGELIB_LIB_VERSION "5.16.1")
 
-set(AKONADI_MIMELIB_VERSION "5.15.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.15.3")
-set(KDEPIM_APPS_LIB_VERSION_LIB "5.15.3")
-set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.15.3")
-set(LIBKLEO_LIB_VERSION_LIB "5.15.3")
+set(AKONADI_MIMELIB_VERSION "5.16.1")
+set(AKONADI_CONTACT_VERSION "5.16.1")
+set(KPIMTEXTEDIT_LIB_VERSION "5.16.1")
+set(LIBGRANTLEETHEME_LIB_VERSION "5.16.1")
+set(LIBKLEO_LIB_VERSION "5.16.1")
 set(QT_REQUIRED_VERSION "5.13.0")
-set(KIMAP_LIB_VERSION "5.15.3")
-set(PIMCOMMON_LIB_VERSION_LIB "5.15.3")
+set(KIMAP_LIB_VERSION "5.16.1")
+set(PIMCOMMON_LIB_VERSION "5.16.1")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)
 
 # Find KF5 package
@@ -57,15 +57,15 @@
 find_package(KF5TextEditor ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5NewStuff ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5Archive ${KF5_MIN_VERSION} CONFIG REQUIRED)
-find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
-find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION_LIB} CONFIG REQUIRED)
-find_package(KF5GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION_LIB} CONFIG REQUIRED)
+find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
-find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION_LIB} CONFIG REQUIRED)
+find_package(KF5AkonadiContact ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
+find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
 
 # Find KdepimLibs Package
-find_package(KF5KaddressbookGrantlee ${KDEPIM_APPS_LIB_VERSION_LIB} CONFIG REQUIRED)
 find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
 
 
@@ -75,7 +75,7 @@
 include_directories(${grantlee-editor_SOURCE_DIR} ${grantlee-editor_BINARY_DIR})
 
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054C00)
 
 add_definitions(-DQT_NO_FOREACH)
 add_definitions(-DQT_NO_KEYWORDS)

=== debian/changelog ===
grantlee-editor (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:07:35 +0000

=== debian/control ===
--- 
+++ 
@@ -17,47 +17,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:20.12.0~),
-               libkf5akonadimime-dev (>= 4:20.12.0~),
-               libkf5akonadiserver-dev (>= 4:20.12.0~),
+               libkf5akonadi-dev (>= 4:20.12.1~),
+               libkf5akonadimime-dev (>= 4:20.12.1~),
+               libkf5akonadiserver-dev (>= 4:20.12.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:20.12.0~),
+               libkf5contacteditor-dev (>= 4:20.12.1~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 20.12.0~),
+               libkf5grantleetheme-dev (>= 20.12.1~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:20.12.0~),
-               libkf5libkleo-dev (>= 4:20.12.0~),
-               libkf5messagecomposer-dev (>= 4:20.12.0~),
-               libkf5messagecore-dev (>= 4:20.12.0~),
-               libkf5messagelist-dev (>= 4:20.12.0~),
-               libkf5messageviewer-dev (>= 4:20.12.0~),
-               libkf5mimetreeparser-dev (>= 4:20.12.0~),
+               libkf5libkdepim-dev (>= 4:20.12.1~),
+               libkf5libkleo-dev (>= 4:20.12.1~),
+               libkf5messagecomposer-dev (>= 4:20.12.1~),
+               libkf5messagecore-dev (>= 4:20.12.1~),
+               libkf5messagelist-dev (>= 4:20.12.1~),
+               libkf5messageviewer-dev (>= 4:20.12.1~),
+               libkf5mimetreeparser-dev (>= 4:20.12.1~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:20.12.0~),
-               libkf5pimtextedit-dev (>= 20.12.0~),
+               libkf5pimcommon-dev (>= 4:20.12.1~),
+               libkf5pimtextedit-dev (>= 20.12.1~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:20.12.0~),
+               libkf5templateparser-dev (>= 4:20.12.1~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:20.12.0~),
+               libkf5webengineviewer-dev (>= 4:20.12.1~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 20.12.2

=== debian/changelog ===
grantlee-editor (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:49:59 +0000

=== debian/control ===
--- 
+++ 
@@ -17,47 +17,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:20.12.1~),
-               libkf5akonadimime-dev (>= 4:20.12.1~),
-               libkf5akonadiserver-dev (>= 4:20.12.1~),
+               libkf5akonadi-dev (>= 4:20.12.2~),
+               libkf5akonadimime-dev (>= 4:20.12.2~),
+               libkf5akonadiserver-dev (>= 4:20.12.2~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:20.12.1~),
+               libkf5contacteditor-dev (>= 4:20.12.2~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 20.12.1~),
+               libkf5grantleetheme-dev (>= 20.12.2~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:20.12.1~),
-               libkf5libkleo-dev (>= 4:20.12.1~),
-               libkf5messagecomposer-dev (>= 4:20.12.1~),
-               libkf5messagecore-dev (>= 4:20.12.1~),
-               libkf5messagelist-dev (>= 4:20.12.1~),
-               libkf5messageviewer-dev (>= 4:20.12.1~),
-               libkf5mimetreeparser-dev (>= 4:20.12.1~),
+               libkf5libkdepim-dev (>= 4:20.12.2~),
+               libkf5libkleo-dev (>= 4:20.12.2~),
+               libkf5messagecomposer-dev (>= 4:20.12.2~),
+               libkf5messagecore-dev (>= 4:20.12.2~),
+               libkf5messagelist-dev (>= 4:20.12.2~),
+               libkf5messageviewer-dev (>= 4:20.12.2~),
+               libkf5mimetreeparser-dev (>= 4:20.12.2~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:20.12.1~),
-               libkf5pimtextedit-dev (>= 20.12.1~),
+               libkf5pimcommon-dev (>= 4:20.12.2~),
+               libkf5pimtextedit-dev (>= 20.12.2~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:20.12.1~),
+               libkf5templateparser-dev (>= 4:20.12.2~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:20.12.1~),
+               libkf5webengineviewer-dev (>= 4:20.12.2~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 20.12.3

=== debian/changelog ===
grantlee-editor (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:15:36 +0000

=== debian/control ===
--- 
+++ 
@@ -17,47 +17,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:20.12.2~),
-               libkf5akonadimime-dev (>= 4:20.12.2~),
-               libkf5akonadiserver-dev (>= 4:20.12.2~),
+               libkf5akonadi-dev (>= 4:20.12.3~),
+               libkf5akonadimime-dev (>= 4:20.12.3~),
+               libkf5akonadiserver-dev (>= 4:20.12.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:20.12.2~),
+               libkf5contacteditor-dev (>= 4:20.12.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 20.12.2~),
+               libkf5grantleetheme-dev (>= 20.12.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:20.12.2~),
-               libkf5libkleo-dev (>= 4:20.12.2~),
-               libkf5messagecomposer-dev (>= 4:20.12.2~),
-               libkf5messagecore-dev (>= 4:20.12.2~),
-               libkf5messagelist-dev (>= 4:20.12.2~),
-               libkf5messageviewer-dev (>= 4:20.12.2~),
-               libkf5mimetreeparser-dev (>= 4:20.12.2~),
+               libkf5libkdepim-dev (>= 4:20.12.3~),
+               libkf5libkleo-dev (>= 4:20.12.3~),
+               libkf5messagecomposer-dev (>= 4:20.12.3~),
+               libkf5messagecore-dev (>= 4:20.12.3~),
+               libkf5messagelist-dev (>= 4:20.12.3~),
+               libkf5messageviewer-dev (>= 4:20.12.3~),
+               libkf5mimetreeparser-dev (>= 4:20.12.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:20.12.2~),
-               libkf5pimtextedit-dev (>= 20.12.2~),
+               libkf5pimcommon-dev (>= 4:20.12.3~),
+               libkf5pimtextedit-dev (>= 20.12.3~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:20.12.2~),
+               libkf5templateparser-dev (>= 4:20.12.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:20.12.2~),
+               libkf5webengineviewer-dev (>= 4:20.12.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 21.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.16.1")
+cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
+set(PIM_VERSION "5.17.0")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "20.12.0")
-set(KF5_MIN_VERSION "5.75.0")
+set(RELEASE_SERVICE_VERSION "21.04.0")
+set(KF5_MIN_VERSION "5.79.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -16,6 +16,7 @@
 include(ECMGenerateHeaders)
 
 include(FeatureSummary)
+include(KDEGitCommitHooks)
 include(CheckFunctionExists)
 include(ECMGeneratePriFile)
 
@@ -37,16 +38,16 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(MESSAGELIB_LIB_VERSION "5.16.1")
+set(MESSAGELIB_LIB_VERSION "5.17.0")
 
-set(AKONADI_MIMELIB_VERSION "5.16.1")
-set(AKONADI_CONTACT_VERSION "5.16.1")
-set(KPIMTEXTEDIT_LIB_VERSION "5.16.1")
-set(LIBGRANTLEETHEME_LIB_VERSION "5.16.1")
-set(LIBKLEO_LIB_VERSION "5.16.1")
-set(QT_REQUIRED_VERSION "5.13.0")
-set(KIMAP_LIB_VERSION "5.16.1")
-set(PIMCOMMON_LIB_VERSION "5.16.1")
+set(AKONADI_MIMELIB_VERSION "5.17.0")
+set(AKONADI_CONTACT_VERSION "5.17.0")
+set(KPIMTEXTEDIT_LIB_VERSION "5.17.0")
+set(LIBGRANTLEETHEME_LIB_VERSION "5.17.0")
+set(LIBKLEO_LIB_VERSION "5.17.0")
+set(QT_REQUIRED_VERSION "5.14.0")
+set(KIMAP_LIB_VERSION "5.17.0")
+set(PIMCOMMON_LIB_VERSION "5.17.0")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)
 
 # Find KF5 package
@@ -75,15 +76,22 @@
 include_directories(${grantlee-editor_SOURCE_DIR} ${grantlee-editor_BINARY_DIR})
 
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054C00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055000)
 
-add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_NO_KEYWORDS)
 set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 configure_file(grantleeeditor-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/grantleeeditor-version.h @ONLY)
+option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" FALSE)
 
+set(COMPILE_WITH_UNITY_CMAKE_SUPPORT false)
+if (USE_UNITY_CMAKE_SUPPORT)
+    if(${CMAKE_VERSION} VERSION_LESS "3.16.0")
+        message(STATUS "CMAKE version is less than 3.16.0 . We can't use cmake unify build support")
+    else()
+        set(COMPILE_WITH_UNITY_CMAKE_SUPPORT true)
+    endif()
+endif()
 add_subdirectory(headerthemeeditor)
 add_subdirectory(contactthemeeditor)
 add_subdirectory(grantleethemeeditor)
@@ -96,8 +104,7 @@
         )
 
 add_subdirectory(doc)
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+ki18n_install(po)
+kdoctools_install(po)
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()

=== debian/changelog ===
grantlee-editor (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:29:58 +0100

=== debian/control ===
--- 
+++ 
@@ -17,47 +17,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:20.12.3~),
-               libkf5akonadimime-dev (>= 4:20.12.3~),
-               libkf5akonadiserver-dev (>= 4:20.12.3~),
+               libkf5akonadi-dev (>= 4:21.04.0~),
+               libkf5akonadimime-dev (>= 4:21.04.0~),
+               libkf5akonadiserver-dev (>= 4:21.04.0~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:20.12.3~),
+               libkf5contacteditor-dev (>= 4:21.04.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 20.12.3~),
+               libkf5grantleetheme-dev (>= 21.04.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:20.12.3~),
-               libkf5libkleo-dev (>= 4:20.12.3~),
-               libkf5messagecomposer-dev (>= 4:20.12.3~),
-               libkf5messagecore-dev (>= 4:20.12.3~),
-               libkf5messagelist-dev (>= 4:20.12.3~),
-               libkf5messageviewer-dev (>= 4:20.12.3~),
-               libkf5mimetreeparser-dev (>= 4:20.12.3~),
+               libkf5libkdepim-dev (>= 4:21.04.0~),
+               libkf5libkleo-dev (>= 4:21.04.0~),
+               libkf5messagecomposer-dev (>= 4:21.04.0~),
+               libkf5messagecore-dev (>= 4:21.04.0~),
+               libkf5messagelist-dev (>= 4:21.04.0~),
+               libkf5messageviewer-dev (>= 4:21.04.0~),
+               libkf5mimetreeparser-dev (>= 4:21.04.0~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:20.12.3~),
-               libkf5pimtextedit-dev (>= 20.12.3~),
+               libkf5pimcommon-dev (>= 4:21.04.0~),
+               libkf5pimtextedit-dev (>= 21.04.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:20.12.3~),
+               libkf5templateparser-dev (>= 4:21.04.0~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:20.12.3~),
+               libkf5webengineviewer-dev (>= 4:21.04.0~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 21.04.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
-set(PIM_VERSION "5.17.0")
+set(PIM_VERSION "5.17.1")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "21.04.0")
+set(RELEASE_SERVICE_VERSION "21.04.1")
 set(KF5_MIN_VERSION "5.79.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -38,16 +38,16 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(MESSAGELIB_LIB_VERSION "5.17.0")
+set(MESSAGELIB_LIB_VERSION "5.17.1")
 
-set(AKONADI_MIMELIB_VERSION "5.17.0")
-set(AKONADI_CONTACT_VERSION "5.17.0")
-set(KPIMTEXTEDIT_LIB_VERSION "5.17.0")
-set(LIBGRANTLEETHEME_LIB_VERSION "5.17.0")
-set(LIBKLEO_LIB_VERSION "5.17.0")
+set(AKONADI_MIMELIB_VERSION "5.17.1")
+set(AKONADI_CONTACT_VERSION "5.17.1")
+set(KPIMTEXTEDIT_LIB_VERSION "5.17.1")
+set(LIBGRANTLEETHEME_LIB_VERSION "5.17.1")
+set(LIBKLEO_LIB_VERSION "5.17.1")
 set(QT_REQUIRED_VERSION "5.14.0")
-set(KIMAP_LIB_VERSION "5.17.0")
-set(PIMCOMMON_LIB_VERSION "5.17.0")
+set(KIMAP_LIB_VERSION "5.17.1")
+set(PIMCOMMON_LIB_VERSION "5.17.1")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)
 
 # Find KF5 package

=== debian/changelog ===
grantlee-editor (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:02:15 +0100

=== debian/control ===
--- 
+++ 
@@ -17,47 +17,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:21.04.0~),
-               libkf5akonadimime-dev (>= 4:21.04.0~),
-               libkf5akonadiserver-dev (>= 4:21.04.0~),
+               libkf5akonadi-dev (>= 4:21.04.1~),
+               libkf5akonadimime-dev (>= 4:21.04.1~),
+               libkf5akonadiserver-dev (>= 4:21.04.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.04.0~),
+               libkf5contacteditor-dev (>= 4:21.04.1~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 21.04.0~),
+               libkf5grantleetheme-dev (>= 21.04.1~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:21.04.0~),
-               libkf5libkleo-dev (>= 4:21.04.0~),
-               libkf5messagecomposer-dev (>= 4:21.04.0~),
-               libkf5messagecore-dev (>= 4:21.04.0~),
-               libkf5messagelist-dev (>= 4:21.04.0~),
-               libkf5messageviewer-dev (>= 4:21.04.0~),
-               libkf5mimetreeparser-dev (>= 4:21.04.0~),
+               libkf5libkdepim-dev (>= 4:21.04.1~),
+               libkf5libkleo-dev (>= 4:21.04.1~),
+               libkf5messagecomposer-dev (>= 4:21.04.1~),
+               libkf5messagecore-dev (>= 4:21.04.1~),
+               libkf5messagelist-dev (>= 4:21.04.1~),
+               libkf5messageviewer-dev (>= 4:21.04.1~),
+               libkf5mimetreeparser-dev (>= 4:21.04.1~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:21.04.0~),
-               libkf5pimtextedit-dev (>= 21.04.0~),
+               libkf5pimcommon-dev (>= 4:21.04.1~),
+               libkf5pimtextedit-dev (>= 21.04.1~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:21.04.0~),
+               libkf5templateparser-dev (>= 4:21.04.1~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:21.04.0~),
+               libkf5webengineviewer-dev (>= 4:21.04.1~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 21.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
-set(PIM_VERSION "5.17.1")
+set(PIM_VERSION "5.17.2")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "21.04.1")
+set(RELEASE_SERVICE_VERSION "21.04.2")
 set(KF5_MIN_VERSION "5.79.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -38,16 +38,16 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(MESSAGELIB_LIB_VERSION "5.17.1")
+set(MESSAGELIB_LIB_VERSION "5.17.2")
 
-set(AKONADI_MIMELIB_VERSION "5.17.1")
-set(AKONADI_CONTACT_VERSION "5.17.1")
-set(KPIMTEXTEDIT_LIB_VERSION "5.17.1")
-set(LIBGRANTLEETHEME_LIB_VERSION "5.17.1")
-set(LIBKLEO_LIB_VERSION "5.17.1")
+set(AKONADI_MIMELIB_VERSION "5.17.2")
+set(AKONADI_CONTACT_VERSION "5.17.2")
+set(KPIMTEXTEDIT_LIB_VERSION "5.17.2")
+set(LIBGRANTLEETHEME_LIB_VERSION "5.17.2")
+set(LIBKLEO_LIB_VERSION "5.17.2")
 set(QT_REQUIRED_VERSION "5.14.0")
-set(KIMAP_LIB_VERSION "5.17.1")
-set(PIMCOMMON_LIB_VERSION "5.17.1")
+set(KIMAP_LIB_VERSION "5.17.2")
+set(PIMCOMMON_LIB_VERSION "5.17.2")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)
 
 # Find KF5 package

=== debian/changelog ===
grantlee-editor (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:35:18 +0100

=== debian/control ===
--- 
+++ 
@@ -17,47 +17,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:21.04.1~),
-               libkf5akonadimime-dev (>= 4:21.04.1~),
-               libkf5akonadiserver-dev (>= 4:21.04.1~),
+               libkf5akonadi-dev (>= 4:21.04.2~),
+               libkf5akonadimime-dev (>= 4:21.04.2~),
+               libkf5akonadiserver-dev (>= 4:21.04.2~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.04.1~),
+               libkf5contacteditor-dev (>= 4:21.04.2~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 21.04.1~),
+               libkf5grantleetheme-dev (>= 21.04.2~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:21.04.1~),
-               libkf5libkleo-dev (>= 4:21.04.1~),
-               libkf5messagecomposer-dev (>= 4:21.04.1~),
-               libkf5messagecore-dev (>= 4:21.04.1~),
-               libkf5messagelist-dev (>= 4:21.04.1~),
-               libkf5messageviewer-dev (>= 4:21.04.1~),
-               libkf5mimetreeparser-dev (>= 4:21.04.1~),
+               libkf5libkdepim-dev (>= 4:21.04.2~),
+               libkf5libkleo-dev (>= 4:21.04.2~),
+               libkf5messagecomposer-dev (>= 4:21.04.2~),
+               libkf5messagecore-dev (>= 4:21.04.2~),
+               libkf5messagelist-dev (>= 4:21.04.2~),
+               libkf5messageviewer-dev (>= 4:21.04.2~),
+               libkf5mimetreeparser-dev (>= 4:21.04.2~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:21.04.1~),
-               libkf5pimtextedit-dev (>= 21.04.1~),
+               libkf5pimcommon-dev (>= 4:21.04.2~),
+               libkf5pimtextedit-dev (>= 21.04.2~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:21.04.1~),
+               libkf5templateparser-dev (>= 4:21.04.2~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:21.04.1~),
+               libkf5webengineviewer-dev (>= 4:21.04.2~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
